<bugID>941903<Summary>Australis: toolbar button in new menu panel isn't found by getElementById on window load for initialization</Summary><Description>In my Simple Locale Switcher extension:
https://addons.mozilla.org/firefox/addon/simple-locale-switcher/

I have an classic overlay for browser.js that adds, on window load, some dinamic menuitems to a xul toolbar button ("menu" type). The simplified code is as follows:

///////////////////////////////////////////////////////////

myextension.onLoad = function() {
  ...
  let button = document.getElementById("myextension-button");
  if (button) {
    ...
  }
}

window.addEventListener("load", myextension.onLoad);

///////////////////////////////////////////////////////////

getElementById() is expected to fail if the button is on the toolbar palette, but it's returning *null* when the button is placed in the menu panel too, skiping its initialization. Handlers for some other events (e.g. aftercustomization, observing prefs) recreating later the button's contents seem to work fine.



I can to think a few ways for to bypass it, but I guess that many other extensions are doing this and they can be affected; while trying other (working) add-ons from my dev profile I found that the button provided by Quick Locale Switcher
https://addons.mozilla.org/firefox/addon/quick-locale-switcher/

kicks it too.</Description></bugID>